import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'test_plugin_fftt_test_method_channel.dart';

abstract class TestPluginFfttTestPlatform extends PlatformInterface {
  /// Constructs a TestPluginFfttTestPlatform.
  TestPluginFfttTestPlatform() : super(token: _token);

  static final Object _token = Object();

  static TestPluginFfttTestPlatform _instance = MethodChannelTestPluginFfttTest();

  /// The default instance of [TestPluginFfttTestPlatform] to use.
  ///
  /// Defaults to [MethodChannelTestPluginFfttTest].
  static TestPluginFfttTestPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [TestPluginFfttTestPlatform] when
  /// they register themselves.
  static set instance(TestPluginFfttTestPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<dynamic> initSDK(String key) {
    throw UnimplementedError('');
  }

  startTracking(String tripId) {
    throw UnimplementedError('');
  }

  stopTracking(String tripId) {
    throw UnimplementedError('');
  }

  Future<dynamic> startTrip(String tripId) {
    throw UnimplementedError('');
  }

  Future<dynamic> stopTrip(String tripId) {
    throw UnimplementedError('');
  }

  identifyUser(String userData) {
    throw UnimplementedError('');
  }

  unregisterUser() {
    throw unregisterUser();
  }

  startMultiTracking(String tripIds) {
    throw UnimplementedError('');
  }

  stopMultiTracking(String tripIds) {
    throw UnimplementedError('');
  }

  Future<dynamic> setTripListener() {
    throw UnimplementedError('');
  }

  sendEventPush(String tripId, String pushData) {
    throw UnimplementedError('');
  }

  sendEventPushWithTag(String tripId, String pushData, String tagMsg) {
    throw UnimplementedError('');
  }

  tagLocation(String tripId, String tagMsg) {
    throw UnimplementedError('');
  }

  setLogVisible(bool isLogVisible) {
    throw UnimplementedError('');
  }
}
