import 'package:flutter_test/flutter_test.dart';
import 'package:test_plugin_fftt_test/test_plugin_fftt_test.dart';
import 'package:test_plugin_fftt_test/test_plugin_fftt_test_platform_interface.dart';
import 'package:test_plugin_fftt_test/test_plugin_fftt_test_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockTestPluginFfttTestPlatform 
    with MockPlatformInterfaceMixin
    implements TestPluginFfttTestPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final TestPluginFfttTestPlatform initialPlatform = TestPluginFfttTestPlatform.instance;

  test('$MethodChannelTestPluginFfttTest is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelTestPluginFfttTest>());
  });

  test('getPlatformVersion', () async {
    TestPluginFfttTest testPluginFfttTestPlugin = TestPluginFfttTest();
    MockTestPluginFfttTestPlatform fakePlatform = MockTestPluginFfttTestPlatform();
    TestPluginFfttTestPlatform.instance = fakePlatform;
  
    expect(await testPluginFfttTestPlugin.getPlatformVersion(), '42');
  });
}
